 /*
  * Khoros: $Id: vpostscr.h,v 1.2 1991/12/18 09:37:05 dkhoros Exp $
  */

 /*
  * $Log: vpostscr.h,v $
 * Revision 1.2  1991/12/18  09:37:05  dkhoros
 * HellPatch3
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vpostscr.h
 >>>>            Author: Scott Wilson, Mark Young
 >>>> Date Last Updated: Fri Dec  6 23:30:23 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vpostscr_h_
#define _vpostscr_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    vpostscr Argument Structure
*
****************************************************************/

typedef struct _vpostscr  {

/*
 *  input image filename (Required infile)
 */
char	*i_file;	/* input image filename FILENAME */
int	 i_flag;	/* input image filename FLAG */

/*
 *  width of image in inches (Optional float)
 */
float	 w_float;	/* width of image in inches FLOAT */
int	 w_flag;   	/* width of image in inches FLAG */

/*
 *  height of image in inches (Optional float)
 */
float	 h_float;	/* height of image in inches FLOAT */
int	 h_flag;   	/* height of image in inches FLAG */

/*
 *  x offset in inches from upper left corner (Optional float)
 */
float	 x_float;	/* x offset in inches from upper left corner FLOAT */
int	 x_flag;   	/* x offset in inches from upper left corner FLAG */

/*
 *  y offset in inches from upper left corner (Optional float)
 */
float	 y_float;	/* y offset in inches from upper left corner FLOAT */
int	 y_flag;   	/* y offset in inches from upper left corner FLAG */

/*
 *  Print photonegative (Optional logical)
 */
int	 p_logic;	/* Print photonegative LOGIC */
int	 p_flag;  	/* Print photonegative FLAG */

/*
 *  Force page output (Optional logical)
 */
int	 c_logic;	/* Force page output LOGIC */
int	 c_flag;  	/* Force page output FLAG */

/*
 *  Enable color-to-grey conversion (Optional logical)
 */
int	 s_logic;	/* Enable color-to-grey conversion LOGIC */
int	 s_flag;  	/* Enable color-to-grey conversion FLAG */

/*
 *  Print landscape mode (Optional logical)
 */
int	 l_logic;	/* Print landscape mode LOGIC */
int	 l_flag;  	/* Print landscape mode FLAG */

}  vpostscr_struct;

vpostscr_struct *vpostscr;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
