 /*
  * Khoros: $Id: form_info.h,v 1.2 1991/12/18 08:59:10 dkhoros Exp $
  */

 /*
  * $Log: form_info.h,v $
 * Revision 1.2  1991/12/18  08:59:10  dkhoros
 * HellPatch3
 *
  */

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_info.h
 >>>>
 >>>>      Program Desc:  structure in which values extracted
 >>>>                      from the graphical user interface are stored
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Thu Dec 12 14:28:27 1991
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

typedef struct {

        char *filename;
        int filename_index;

        int step_size_x;
        int step_size_x_index;

        int begin_point_x;
        int begin_point_x_index;

        int end_point_x;
        int end_point_x_index;

        int step_size_y;
        int step_size_y_index;

        int begin_point_y;
        int begin_point_y_index;

        int end_point_y;
        int end_point_y_index;

        int change_plot_type_val;
        int change_plot_type_index;

        int data_format_val;
        int data_format_index;

        int data_type_val;
        int data_type_index;

        int machine_type;
        int machine_type_index;

        int plot_file;
        int plot_file_index;

} xprism_input_file;



typedef struct {

        char *function;
        int function_index;

        char *x_min;
        int x_min_index;

        char *x_max;
        int x_max_index;

        char *xnum_pts;
        int xnum_pts_index;

        char *y_min;
        int y_min_index;

        char *y_max;
        int y_max_index;

        char *ynum_pts;
        int ynum_pts_index;

        int step_size_x;
        int step_size_x_index;

        int begin_point_x;
        int begin_point_x_index;

        int end_point_x;
        int end_point_x_index;

        int step_size_y;
        int step_size_y_index;

        int begin_point_y;
        int begin_point_y_index;

        int end_point_y;
        int end_point_y_index;

        int change_plot_type_val;
        int change_plot_type_index;

        int plot_function;
        int plot_function_index;

} xprism_input_function;



typedef struct {

        int trans_type_val;
        int trans_type_index;

        float x_val;
        int x_val_index;

        float y_val;
        int y_val_index;

        float z_val;
        int z_val_index;

        int transform_plots;
        int transform_plots_index;

} xprism_transforms;



typedef struct {

        char *input_path;
        int input_path_index;
        int input_path_selected;

        char *output_path;
        int output_path_index;
        int output_path_selected;

        int option;
        int option_index;

} xprism_environment;

typedef struct {

        xprism_input_file  *input_file;
        int input_file_selected;
        int input_file_index;
        int input_file_gb_index;

        xprism_input_function  *input_function;
        int input_function_selected;
        int input_function_index;
        int input_function_gb_index;

        xprism_transforms  *transforms;
        int transforms_selected;
        int transforms_index;
        int transforms_gb_index;

        xprism_environment  *environment;
        int environment_selected;
        int environment_index;
        int environment_gb_index;

        int quit;

}  Master_xprism;


typedef struct {

        int grid;
        int grid_index;
        int grid_selected;

        int box;
        int box_index;
        int box_selected;

        int legend;
        int legend_index;
        int legend_selected;

        int auto_scale;
        int auto_scale_index;
        int auto_scale_selected;

        int axes;
        int axes_index;
        int axes_selected;

        int num_labels;
        int num_labels_index;
        int num_labels_selected;

        int clear_labels;
        int clear_labels_index;
        int clear_labels_selected;

        int change_labeling_val;
        int change_labeling_index;
        int change_labeling_selected;

        float min_xpt;
        int min_xpt_index;

        float min_ypt;
        int min_ypt_index;

        float min_zpt;
        int min_zpt_index;

        float max_xpt;
        int max_xpt_index;

        float max_ypt;
        int max_ypt_index;

        float max_zpt;
        int max_zpt_index;

        int change_max_min;
        int change_max_min_index;

        float major_xintv;
        int major_xintv_index;

        float major_yintv;
        int major_yintv_index;

        float major_zintv;
        int major_zintv_index;

        int minor_xtics;
        int minor_xtics_index;

        int minor_ytics;
        int minor_ytics_index;

        int minor_ztics;
        int minor_ztics_index;

        int change_interval;
        int change_interval_index;

} options_tics;



typedef struct {

        int change_plot_type_val;
        int change_plot_type_index;
        int change_plot_type_selected;

        int change_line_type_val;
        int change_line_type_index;
        int change_line_type_selected;

        int change_marker_type_val;
        int change_marker_type_index;
        int change_marker_type_selected;

        int step_size_x;
        int step_size_x_index;

        int begin_point_x;
        int begin_point_x_index;

        int end_point_x;
        int end_point_x_index;

        int step_size_y;
        int step_size_y_index;

        int begin_point_y;
        int begin_point_y_index;

        int end_point_y;
        int end_point_y_index;

        int data_sampling;
        int data_sampling_index;

} options_attributes;



typedef struct {

        char *title;
        int title_index;
        int title_selected;

        char *xaxis;
        int xaxis_index;
        int xaxis_selected;

        char *yaxis;
        int yaxis_index;
        int yaxis_selected;

        char *zaxis;
        int zaxis_index;
        int zaxis_selected;

        int change_legend;
        int change_legend_index;

        int title_font;
        int title_font_index;

        int xaxis_font;
        int xaxis_font_index;

        int yaxis_font;
        int yaxis_font_index;

        int zaxis_font;
        int zaxis_font_index;

        int num_font;
        int num_font_index;

        int legend_font;
        int legend_font_index;

        int all_fonts;
        int all_fonts_index;

} options_label;



typedef struct {

        int title;
        int title_index;

        int xaxis_label;
        int xaxis_label_index;

        int yaxis_label;
        int yaxis_label_index;

        int zaxis_label;
        int zaxis_label_index;

        int xaxis;
        int xaxis_index;

        int yaxis;
        int yaxis_index;

        int zaxis;
        int zaxis_index;

        int xaxis_nums;
        int xaxis_nums_index;

        int yaxis_nums;
        int yaxis_nums_index;

        int zaxis_nums;
        int zaxis_nums_index;

        int grid;
        int grid_index;

        int legend;
        int legend_index;

        int plots;
        int plots_index;

} options_colors;



typedef struct {

        int set_info_cont;
        int set_info_cont_index;

        int cont_num;
        int cont_num_index;

        float cont_min;
        int cont_min_index;

        float cont_max;
        int cont_max_index;

        float cont_offset;
        int cont_offset_index;

        int gen_cont;
        int gen_cont_index;

        int spec_cont;
        int spec_cont_index;

        int reset_cont;
        int reset_cont_index;

        int plot_cont_3D;
        int plot_cont_3D_index;

        int plot_cont_2D;
        int plot_cont_2D_index;

} options_contours;



typedef struct {

        int xband;
        int xband_index;

        int yband;
        int yband_index;

        int zband;
        int zband_index;

        float constant;
        int constant_index;

        int dimensions;
        int dimensions_index;

} options_plot_data;

typedef struct {

        options_tics  *tics;
        int tics_selected;
        int tics_index;
        int tics_gb_index;

        options_attributes  *attributes;
        int attributes_selected;
        int attributes_index;
        int attributes_gb_index;

        options_label  *label;
        int label_selected;
        int label_index;
        int label_gb_index;

        options_colors  *colors;
        int colors_selected;
        int colors_index;
        int colors_gb_index;

        options_contours  *contours;
        int contours_selected;
        int contours_index;
        int contours_gb_index;

        options_plot_data  *plot_data;
        int plot_data_selected;
        int plot_data_index;
        int plot_data_gb_index;

        int quit;

}  Master_options;


typedef struct {

        char *ov_input;
        int ov_input_index;
        int ov_input_selected;

        char *ov_output;
        int ov_output_index;
        int ov_output_selected;

} xvoverlay_ovfile;



typedef struct {

        char *color;
        int color_index;

        char *font;
        int font_index;

        char *text;
        int text_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int create;
        int create_index;

} xvoverlay_text;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_edge;
        int x_edge_index;

        int y_edge;
        int y_edge_index;

        int create;
        int create_index;

} xvoverlay_circle;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_corner;
        int x_corner_index;

        int y_corner;
        int y_corner_index;

        int create;
        int create_index;

} xvoverlay_rectangle;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int place_val;
        int place_index;

        int x;
        int x_index;

        int y;
        int y_index;

        int x_end;
        int x_end_index;

        int y_end;
        int y_end_index;

        int create;
        int create_index;

} xvoverlay_line;



typedef struct {

        char *color;
        int color_index;

        int width;
        int width_index;

        int filled;
        int filled_index;

        int create;
        int create_index;

} xvoverlay_polygon;

typedef struct {

        int delete;

        int copy;

        int raise;

        int lower;

        xvoverlay_ovfile  *ovfile;
        int ovfile_selected;
        int ovfile_index;
        int ovfile_gb_index;

        xvoverlay_text  *text;
        int text_selected;
        int text_index;
        int text_gb_index;

        xvoverlay_circle  *circle;
        int circle_selected;
        int circle_index;
        int circle_gb_index;

        xvoverlay_rectangle  *rectangle;
        int rectangle_selected;
        int rectangle_index;
        int rectangle_gb_index;

        xvoverlay_line  *line;
        int line_selected;
        int line_index;
        int line_gb_index;

        xvoverlay_polygon  *polygon;
        int polygon_selected;
        int polygon_index;
        int polygon_gb_index;

        int quit;

}  Master_xvoverlay;


typedef struct {

        char *expl_filename;
        int expl_filename_index;
        int expl_filename_selected;

        char *impl_filename;
        int impl_filename_index;
        int impl_filename_selected;

        char *cm_filename;
        int cm_filename_index;
        int cm_filename_selected;

        char *dump_filename;
        int dump_filename_index;
        int dump_filename_selected;

} output_file;



typedef struct {

        float width;
        int width_index;

        float height;
        int height_index;

        float x_offset;
        int x_offset_index;

        float y_offset;
        int y_offset_index;

        int flush;
        int flush_index;

        int invert;
        int invert_index;

        int mono;
        int mono_index;

        int landscape;
        int landscape_index;

        int output_type_val;
        int output_type_index;

        char *filename;
        int filename_index;
        int filename_selected;

        char *printer_cmd;
        int printer_cmd_index;

        char *printer;
        int printer_index;
        int printer_selected;

} output_postscr;



typedef struct {

        float width;
        int width_index;

        float height;
        int height_index;

        float x_offset;
        int x_offset_index;

        float y_offset;
        int y_offset_index;

        int flush;
        int flush_index;

        int invert;
        int invert_index;

        int output_type_val;
        int output_type_index;

        char *filename;
        int filename_index;
        int filename_selected;

        char *printer_cmd;
        int printer_cmd_index;

        char *printer;
        int printer_index;
        int printer_selected;

} output_imagen;



typedef struct {

        float width;
        int width_index;

        float height;
        int height_index;

        float x_offset;
        int x_offset_index;

        float y_offset;
        int y_offset_index;

        int flush;
        int flush_index;

        int landscape;
        int landscape_index;

        char *filename;
        int filename_index;
        int filename_selected;

        char *printer_cmd;
        int printer_cmd_index;

        char *printer;
        int printer_index;
        int printer_selected;

} output_hpgl;



typedef struct {

        int invert;
        int invert_index;

        char *filename;
        int filename_index;
        int filename_selected;

        char *printer_cmd;
        int printer_cmd_index;

        char *printer;
        int printer_index;
        int printer_selected;

} output_ln03;

typedef struct {

        output_file  *file;
        int file_selected;
        int file_index;
        int file_gb_index;

        output_postscr  *postscr;
        int postscr_selected;
        int postscr_index;
        int postscr_gb_index;

        output_imagen  *imagen;
        int imagen_selected;
        int imagen_index;
        int imagen_gb_index;

        output_hpgl  *hpgl;
        int hpgl_selected;
        int hpgl_index;
        int hpgl_gb_index;

        output_ln03  *ln03;
        int ln03_selected;
        int ln03_index;
        int ln03_gb_index;

        int quit;

}  Master_output;


typedef struct {

        char *out_answer_file;
        int out_answer_file_index;
        int out_answer_file_selected;

        char *in_answer_file;
        int in_answer_file_index;
        int in_answer_file_selected;

        int quit;

} answer_ans_file;

typedef struct {

        answer_ans_file  *ans_file;
        int ans_file_selected;
        int ans_file_index;
        int ans_file_gb_index;

}  Master_answer;


typedef struct { 

        int info;

        int refresh;

        int clear;

        int hide;

        int delete;

        int perspective;

        int reset_axes;

        int canvas_index;

        Widget canvas;

        Master_xprism  *xprism;
        int xprism_selected;
        int xprism_index;
        int xprism_sfb_index;

        Master_options  *options;
        int options_selected;
        int options_index;
        int options_sfb_index;

        Master_xvoverlay  *xvoverlay;
        int xvoverlay_selected;
        int xvoverlay_index;
        int xvoverlay_sfb_index;

        Master_output  *output;
        int output_selected;
        int output_index;
        int output_sfb_index;

        Master_answer  *answer;
        int answer_selected;
        int answer_index;
        int answer_sfb_index;

        int quit;


 }  Master; 

